# Generated from tinyci-0.5.gem by gem2rpm -*- rpm-spec -*-
%global gem_name tinyci

Name: rubygem-%{gem_name}
Version: 0.5
Release: 1%{?dist}
Summary: A minimal Continuous Integration system, written in ruby, powered by git
License: MIT
URL: https://github.com/JonnieCache/tinyci
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(awesome_print)
# BuildRequires: rubygem(barrier)
# BuildRequires: rubygem(fuubar)
# BuildRequires: rubygem(guard-rspec)
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry-byebug)
# BuildRequires: rubygem(pry-doc)
# BuildRequires: rubygem(redcarpet)
# BuildRequires: rubygem(rspec) >= 3.8.0
# BuildRequires: rubygem(rspec-nc)
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(simplecov)
# BuildRequires: rubygem(terminal-notifier) = 1.7.2
# BuildRequires: rubygem(yard)
BuildArch: noarch

%description
A minimal Continuous Integration system, written in ruby, powered by git.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/tinyci
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/.tinyci.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/ARCHITECTURE.md
%{gem_instdir}/Dockerfile
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.md
%{gem_instdir}/TODO.md
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%doc %{gem_instdir}/CHANGELOG.md
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/tinyci.gemspec

%changelog
* Thu Sep 16 2021 mockbuilder - 0.5-1
- Initial package
